*** a/src/backend/replication/walreceiver.c
--- b/src/backend/replication/walreceiver.c
***************
*** 745,751 **** XLogWalRcvSendReply(bool force, bool requestReply)
--- 745,755 ----
  	pq_sendint64(&reply_message, writePtr);
  	pq_sendint64(&reply_message, flushPtr);
  	pq_sendint64(&reply_message, applyPtr);
+ #ifdef HAVE_INT64_TIMESTAMP
+ 	pq_sendint64(&reply_message, now);
+ #else
  	pq_sendint64(&reply_message, GetCurrentIntegerTimestamp());
+ #endif
  	pq_sendbyte(&reply_message, requestReply ? 1 : 0);
  
  	/* Send it */
***************
*** 816,822 **** XLogWalRcvSendHSFeedback(void)
--- 820,830 ----
  	/* Construct the the message and send it. */
  	resetStringInfo(&reply_message);
  	pq_sendbyte(&reply_message, 'h');
+ #ifdef HAVE_INT64_TIMESTAMP
+ 	pq_sendint64(&reply_message, now);
+ #else
  	pq_sendint64(&reply_message, GetCurrentIntegerTimestamp());
+ #endif
  	pq_sendint(&reply_message, xmin, 4);
  	pq_sendint(&reply_message, nextEpoch, 4);
  	walrcv_send(reply_message.data, reply_message.len);